﻿<local:BaseCuPage x:Class="Renovate.Views.CUs.PersonTransactionPage"
      x:TypeArguments="model:PersonTransaction"
      xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
      xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
      xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
      xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
      xmlns:local="clr-namespace:Renovate.Views.CUs" xmlns:usercontrols="clr-namespace:Renovate.Assets.UI.UserControls" xmlns:baseclasses="clr-namespace:Renovate.Assets.UI.BaseClasses" xmlns:model="clr-namespace:Renovate.Models" mc:Ignorable="d" 
       Title="PersonPage" FontSize="14">
    <Grid Background="#60000000" FlowDirection="RightToLeft">
        <Grid Width="450" Height="auto" VerticalAlignment="Center">
            <Grid.RowDefinitions>
                <RowDefinition Height="50"/>
                <RowDefinition/>
            </Grid.RowDefinitions>
            <Rectangle RadiusX="4" RadiusY="4" Grid.RowSpan="3" Fill="White" Effect="{StaticResource CommonShadow}"/>
            <Grid Height="50">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="50"/>
                    <ColumnDefinition/>
                </Grid.ColumnDefinitions>
                <Button x:Name="closeButton" Style="{DynamicResource CircularButtonStyle}" Command="{Binding ReturnCommand}" IsCancel="True" HorizontalAlignment="Center" VerticalAlignment="Center" Width="30" Height="30">
                    <Image Source="/Renovate;component/Resources/Images/DialogIcons/mini-close.png" Width="12" Height="12"/>
                </Button>
                <TextBlock x:Name="HeaderTextBlock" Text="{Binding ViewTitle}" HorizontalAlignment="Center" VerticalAlignment="Center" Grid.ColumnSpan="2"/>
                <Rectangle Fill="#FFF8F8F8" VerticalAlignment="Bottom" Grid.ColumnSpan="2" Height="1"/>
                <Rectangle Width="{Binding ActualWidth, ElementName=HeaderTextBlock}" Stroke="Blue" VerticalAlignment="Bottom" Height="0.5" Grid.ColumnSpan="2"/>
            </Grid>
            <StackPanel Grid.Row="1">
                <ComboBox x:Name="FirstEntryControl" DisplayMemberPath="FullName" SelectedValuePath="PersonId" SelectedValue="{Binding PageModel.PersonId, UpdateSourceTrigger=PropertyChanged}" Tag="نام طرف حساب تراکنش"/>
                <baseclasses:JTextBox Text="{Binding PageModel.PersonCurrentBalance}" Title="میزان بدهی یا طلب شخص"/>
                <usercontrols:DateUserControl Date="{Binding PageModel.TransactionDateTime, UpdateSourceTrigger=PropertyChanged}" Title="تاریخ تراکنش" Margin="24,16,24,0"/>
                <baseclasses:JTextBox Text="{Binding PageModel.Comment, UpdateSourceTrigger=PropertyChanged}" Title="توضیحات" />

                <CheckBox IsChecked="{Binding StayOpen}" Content="{Binding StayOpenTitle}" Margin="24,24,24,0" Style="{DynamicResource SliderCheckBox}" Visibility="{Binding IsNew, Converter={StaticResource boolToVisibilityConverter}}"/>

                <Button Content="تایید" Height="38" VerticalAlignment="Top" Margin="24,24,24,16" Style="{DynamicResource ConfirmButtonStyle}" IsDefault="True" Command="{Binding CreateCommand}"/>
            </StackPanel>
        </Grid>
    </Grid>
</local:BaseCuPage>
